Package org.pgpainless.decryption_verification

# Class CustomPublicKeyDataDecryptorFactory

java.lang.Object
org.bouncycastle.openpgp.operator.AbstractPublicKeyDataDecryptorFactory
org.pgpainless.decryption_verification.CustomPublicKeyDataDecryptorFactory

All Implemented Interfaces:
  `org.bouncycastle.openpgp.operator.PGPDataDecryptorFactory`, `org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory`

Direct Known Subclasses:
  `CachingBcPublicKeyDataDecryptorFactory`, `HardwareSecurity.HardwareDataDecryptorFactory`

public abstract class CustomPublicKeyDataDecryptorFactory extends org.bouncycastle.openpgp.operator.AbstractPublicKeyDataDecryptorFactory
Custom `PublicKeyDataDecryptorFactory` which can enable customized implementations of message decryption using public keys. This class can for example be used to implement message encryption using hardware tokens like smartcards or TPMs.

See Also:
  - `ConsumerOptions.addCustomDecryptorFactory(CustomPublicKeyDataDecryptorFactory)`

## Constructor Summary

Constructors
Constructor
Description
`CustomPublicKeyDataDecryptorFactory()`

## Method Summary

### Methods inherited from class org.bouncycastle.openpgp.operator.AbstractPublicKeyDataDecryptorFactory

`checkRange, containsSKAlg, prependSKAlgorithmToSessionData, recoverSessionData, recoverSessionData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bouncycastle.openpgp.operator.PGPDataDecryptorFactory

`createDataDecryptor, createDataDecryptor, createDataDecryptor`

### Methods inherited from interface org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory

`recoverSessionData`

## Constructor Details

### CustomPublicKeyDataDecryptorFactory

public CustomPublicKeyDataDecryptorFactory()